%%%% vyhodnoceniHRF.M %%%%
% Soubor slouzi k hromadnemu otestovani a vyhodnoceni databaze HRF a ziskani souhrnnych
% vysledku pro tuto databazi v textovem souboru.

% Po spusteni uzivatel zada nazev a umisteni textoveho souboru, do ktereho
% se ulozi vysledky v poradi: JMENO OBRAZU, SENZITIVITA, SPECIFICITA, PRESNOST, PREKRYTI
% Takto budou vyhodnoceny vsechny snimky z databaze

% Pripadne prenastaveni vypocetnich parametru algoritmu je mozne pouze
% upravou hodnot v souboru main.m - v prvni vetvi - if fundus == 1
% pripadne kdekoli ve funkcich algoritmu, ktere jsou volany funkci main




clear variables
close all
clc

aktual = mfilename('fullpath');
[nam, dir] = uiputfile('*.txt','Zadejte umisteni a nazev textoveho souboru pro ulozeni vysledku', strcat(aktual(1:end-34),'\Data\vystupy\vysledky\VYSLEDKYHRF.txt'));
textak = fopen(strcat(dir,nam),'w');


slozka = strcat(aktual(1:end-34),'\Data\vstupni data\HRF\');

for i = 1:15
    
    if i < 10
        nazev = strcat('0',num2str(i));
    else
        nazev = num2str(i);
    end
    
    
    
    dodatek = '_dr.JPG';
    cesta = strcat(slozka,nazev,dodatek);
    vrcholy = load(strcat(slozka,'OD contour\',nazev,'_dr_OD_contour.txt'));    
    [vysledek, vyslednevrcholy, senzitivita, specificita, presnost, prekryti] = main(cesta,1, 1, vrcholy);

    fprintf(textak, '%s\t%.2f\t%.2f\t%.2f\t%.2f\r\n', strcat(nazev,dodatek(1:3)),senzitivita,specificita,presnost,prekryti);
    
    pom = ['Zpracovano ', num2str(i*3-2), ' snimku ze 45'];
    disp(pom);
    
  % 2.ND ROUND  
    dodatek = '_g.jpg';
    cesta = strcat(slozka,nazev,dodatek);
    vrcholy = load(strcat(slozka,'OD contour\',nazev,'_g_OD_contour.txt'));
    [vysledek, vyslednevrcholy, senzitivita, specificita, presnost, prekryti] = main(cesta,1, 1, vrcholy);

    fprintf(textak, '%s\t%.2f\t%.2f\t%.2f\t%.2f\r\n', strcat(nazev,dodatek(1:2)),senzitivita,specificita,presnost,prekryti);
    
    pom = ['Zpracovano ', num2str(i*3-1), ' snimku ze 45'];
    disp(pom);
    
  % 3.RD ROUND    
    dodatek = '_h.jpg';
    cesta = strcat(slozka,nazev,dodatek);
    vrcholy = load(strcat(slozka,'OD contour\',nazev,'_h_OD_contour.txt'));   
    [vysledek, vyslednevrcholy, senzitivita, specificita, presnost, prekryti] = main(cesta,1, 1, vrcholy);

    fprintf(textak, '%s\t%.2f\t%.2f\t%.2f\t%.2f\r\n', strcat(nazev,dodatek(1:2)),senzitivita,specificita,presnost,prekryti);
    
    pom = ['Zpracovano ', num2str(i*3), ' snimku ze 45'];
    disp(pom);
    
end
    
  fclose(textak);